# Generated by Django 4.0.4 on 2022-09-10 12:22

from django.db import migrations


def set_unset_passed_for_reports(apps, schema_editor):
    # get model
    Report = apps.get_model("api", "Report")

    # get all reports, for which date is set but passed is NULL
    # then set passed to True
    Report.objects.filter(date__isnull=False, passed__isnull=True).update(passed=True)


class Migration(migrations.Migration):

    dependencies = [
        ("api", "0033_rename_accepted_date_report_date_report_passed"),
    ]

    operations = [
        migrations.RunPython(set_unset_passed_for_reports),
    ]
