# Generated by Django 4.0.4 on 2022-11-01 17:25
import datetime

from django.db import migrations


def initial_fill_report_version(apps, schema_editor):
    # get models
    Report = apps.get_model("api", "Report")
    ReportVersion = apps.get_model("api", "ReportVersion")

    # get all reports, for which a filename is set
    for report in Report.objects.filter(filename__isnull=False).exclude(filename=""):
        # create new version and save it
        version = ReportVersion()
        version.report = report
        version.version = 1
        version.date = datetime.datetime.now()
        version.filename = report.filename
        version.save()


class Migration(migrations.Migration):

    dependencies = [
        ("api", "0041_reportversion"),
    ]

    operations = [
        migrations.RunPython(initial_fill_report_version),
    ]
